Bug 325741 - pm-utils requires vbetool which is x86 only
pm-utils requires vbetool which is x86 only
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-09 20:19 EDT by Doug Chapman
Modified: 2015-03-04 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-10 01:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2007-10-09 20:19:17 EDT
Description of problem:
There was a recent change to pm-utils to make it depend on vbetool.  Since
vbetool is x86 specific this prevents pm-utils and hence the majority of the
gnome rpms since they depend on pm-utils.

I am unclear as to the "right" thing being pm-utils not depending on vbetool for
non-x86 OR gnome not depending on pm-utils but one or the other will be needed
in order for Fedora to work on non-x86.

I am running into this while trying to bring up Fedora on ia64 so I imagine
those working on bringing up sparc and arm on Fedora are seeing this as well.  I
also imagine this is an issue for ppc.

I am open to suggestions on how we can make this portable.

Version-Release number of selected component (if applicable):

worked OK in pm-utils-0.99.3-11.fc8
Comment 1 Doug Chapman 2007-10-09 21:33:49 EDT
After looking at the spec file I see that ppc and ppc64 are already accounted for:

%ifnarch ppc ppc64 
Requires: vbetool

Can we update this to include ia64 (and for that matter sparc and arm since I
know others are in the process of bringing up fedora on those arches as well). 
Or, perhaps it would be better to change this to something along the lines of:

%ifarch i386 x86_64  
However I am not sure if this is the correct syntax.

Comment 2 Till Maas 2007-10-10 01:51:37 EDT
fixed in cvs

Note You need to log in before you can comment on or make changes to this bug.